Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 36082 - dev-utils/strace should support "static" USE-flag
Summary: dev-utils/strace should support "static" USE-flag
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All Linux
: High minor
Assignee: Martin Holzer (RETIRED)
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2003-12-18 13:48 UTC by Thomas Eckert
Modified: 2004-08-20 13:31 UTC (History)
0 users

See Also:
Package list:
Runtime testing required: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Thomas Eckert 2003-12-18 13:48:26 UTC
summary says it all -- the patch below adds this option.

--- strace-4.4.98.ebuild.org    2003-10-22 19:07:18.000000000 +0200
+++ strace-4.4.98.ebuild        2003-12-18 22:44:55.000000000 +0100
@@ -6,7 +6,7 @@
 SRC_URI="mirror://sourceforge/${PN}/${P}.tar.bz2"
 HOMEPAGE="http://www.wi.leidenuniv.nl/~wichert/strace/"
 
-IUSE=""
+IUSE="static"
 SLOT="0"
 LICENSE="as-is"
 KEYWORDS="x86 ppc sparc ~alpha hppa ~mips amd64 ia64"
@@ -23,7 +23,11 @@
        # configure is broken by default for sparc and possibly others, regen
        # from configure.in
        autoconf
-       ./configure --prefix=/usr || die
+       if use static; then
+               LDFLAGS="-static" ./configure --prefix=/usr || die
+       else
+               ./configure --prefix=/usr || die
+       fi
        emake || die
 }


Reproducible: Always
Steps to Reproduce:
Comment 1 Martin Holzer (RETIRED) gentoo-dev 2004-01-07 16:16:45 UTC
in cvs

thx
Comment 2 solar (RETIRED) gentoo-dev 2004-08-20 13:24:39 UTC
We should not overwrite LDFLAGS (we should append to them) for static
Comment 3 solar (RETIRED) gentoo-dev 2004-08-20 13:31:20 UTC
Like this.

use static && append-ldflags -static